diff --git a/web/pgadmin/tools/debugger/static/js/components/DebuggerComponent.jsx b/web/pgadmin/tools/debugger/static/js/components/DebuggerComponent.jsx
index 6173a9a3..c01774c4 100644
--- a/web/pgadmin/tools/debugger/static/js/components/DebuggerComponent.jsx
+++ b/web/pgadmin/tools/debugger/static/js/components/DebuggerComponent.jsx
@@ -351,7 +351,7 @@ export default function DebuggerComponent({ pgAdmin, selectedNodeInfo, panel, ev
 
       api({
         url: baseUrl,
-        method: 'GET',
+        method: 'POST',
       })
         .then(function (res) {
           if (res.data.data.status) {
@@ -368,7 +368,7 @@ export default function DebuggerComponent({ pgAdmin, selectedNodeInfo, panel, ev
 
       api({
         url: baseUrl,
-        method: 'GET',
+        method: 'POST',
       })
         .then(function (res) {
           if (res.data.data.status) {
@@ -608,7 +608,7 @@ export default function DebuggerComponent({ pgAdmin, selectedNodeInfo, panel, ev
 
     api({
       url: base_url,
-      method: 'GET',
+      method: 'POST',
     })
       .then(function () {
         if (params.directDebugger.debug_type) {
diff --git a/web/regression/javascript/debugger/debugger_spec.js b/web/regression/javascript/debugger/debugger_spec.js
index ec9131d5..aa14a4a0 100644
--- a/web/regression/javascript/debugger/debugger_spec.js
+++ b/web/regression/javascript/debugger/debugger_spec.js
@@ -262,7 +262,7 @@ describe('Debugger Component', () => {
 
   it('DebuggerInit Indirect', () => {
     params.directDebugger.debug_type = 1;
-    networkMock.onGet(url_for('debugger.start_listener', {'trans_id': params.transId})).reply(200, {'success':1,'errormsg':'','info':'','result':null,'data':{'status':true,'result':2}});
+    networkMock.onPost(url_for('debugger.start_listener', {'trans_id': params.transId})).reply(200, {'success':1,'errormsg':'','info':'','result':null,'data':{'status':true,'result':2}});
     networkMock.onGet(url_for('debugger.messages', {'trans_id': params.transId})).reply(200, {'success':1,'errormsg':'','info':'','result':null,'data':{'status':'Success','result':'10'}});
     networkMock.onGet(url_for('debugger.execute_query', {'trans_id': params.transId, 'query_type': 'get_stack_info'})).reply(200, {'success':1,'errormsg':'','info':'','result':null,'data':{'status':'Success','result':[{'level':0,'targetname':'_test()','func':3138947,'linenumber':9,'args':''}]}});
     networkMock.onGet(url_for('debugger.poll_result', {'trans_id': params.transId})).reply(200, {'success':0,'errormsg':'','info':'','result':null,'data':{'status':'Success','result':[{'pldbg_wait_for_target':28298}]}});
